from setuptools import setup, find_packages

if __name__ == "__main__":
    setup(
        name="polyatomic_complexes",
        version="0.0.8",
        url="https://github.com/rahulkhorana/PolyatomicComplexes",
        author="Rahul Khorana",
        packages=find_packages(),
        install_requires=[
            "anyio==4.4.0",
            "appdirs==1.4.4",
            "appnope==0.1.4",
            "argon2-cffi==23.1.0",
            "argon2-cffi-bindings==21.2.0",
            "arrow==1.3.0",
            "asttokens==2.4.1",
            "async-lru==2.0.4",
            "attrs==23.2.0",
            "babel==2.16.0",
            "backports.tarfile==1.2.0",
            "beautifulsoup4==4.12.3",
            "biopandas==0.5.1.dev0",
            "biopython==1.83",
            "bioservices==1.11.2",
            "bleach==6.1.0",
            "botorch==0.10.0",
            "cattrs==23.2.3",
            "certifi==2024.2.2",
            "cffi==1.17.1",
            "charset-normalizer==3.3.2",
            "click==8.1.7",
            "colorama==0.4.6",
            "colorlog==6.8.2",
            "comm==0.2.2",
            "contourpy==1.2.0",
            "coverage==7.6.1",
            "cycler==0.12.1",
            "Cython==3.0.10",
            "debugpy==1.8.5",
            "decorator==5.1.1",
            "deepdiff==6.7.1",
            "defusedxml==0.7.1",
            "dill==0.3.8",
            "docutils==0.21.2",
            "easydev==0.13.1",
            "easydict==1.13",
            "execnet==2.1.1",
            "executing==2.1.0",
            "fastjsonschema==2.20.0",
            "filelock==3.13.3",
            "flake8==7.0.0",
            "fonttools==4.50.0",
            "fqdn==1.5.1",
            "fsspec==2024.3.1",
            "future==1.0.0",
            "gauche==0.1.6",
            "gevent==24.2.1",
            "git-lfs==1.6",
            "gmsh==4.13.1",
            "gpytorch==1.11",
            "GraKeL==0.1.10",
            "graphein==1.7.6",
            "greenlet==3.0.3",
            "grequests==0.7.0",
            "h11==0.14.0",
            "httpcore==1.0.5",
            "httpx==0.27.2",
            "idna==3.6",
            "imgcat==0.5.0",
            "importlib_metadata==8.5.0",
            "importlib_resources==6.4.5",
            "iniconfig==2.0.0",
            "isoduration==20.11.0",
            "jaraco.classes==3.4.0",
            "jaraco.context==6.0.1",
            "jaraco.functools==4.0.2",
            "jax==0.4.25",
            "jaxlib==0.4.25",
            "jaxtyping==0.2.28",
            "jedi==0.19.1",
            "Jinja2==3.1.3",
            "joblib==1.3.2",
            "json5==0.9.25",
            "jsonpointer==3.0.0",
            "jsonschema==4.23.0",
            "jsonschema-specifications==2023.12.1",
            "jupyter-events==0.10.0",
            "jupyter-lsp==2.2.5",
            "jupyter_client==8.6.2",
            "jupyter_core==5.7.2",
            "jupyter_server==2.14.2",
            "jupyter_server_terminals==0.5.3",
            "jupyterlab==4.2.5",
            "jupyterlab_pygments==0.3.0",
            "jupyterlab_server==2.27.3",
            "keyring==25.4.1",
            "kiwisolver==1.4.5",
            "latexcodec==3.0.0",
            "line-profiler==4.1.2",
            "linear-operator==0.5.1",
            "loguru==0.7.2",
            "looseversion==1.1.2",
            "lxml==5.1.1",
            "markdown-it-py==3.0.0",
            "MarkupSafe==2.1.5",
            "matplotlib==3.8.3",
            "matplotlib-inline==0.1.7",
            "mccabe==0.7.0",
            "mdurl==0.1.2",
            "mistune==3.0.2",
            "ml-dtypes==0.3.2",
            "mmtf-python==1.1.3",
            "monty==2024.7.30",
            "more-itertools==10.5.0",
            "mpmath==1.3.0",
            "msgpack==1.0.8",
            "multipledispatch==1.0.0",
            "mypy==1.9.0",
            "mypy-extensions==1.0.0",
            "nbclient==0.10.0",
            "nbconvert==7.16.4",
            "nbformat==5.10.4",
            "nest-asyncio==1.6.0",
            "networkx==3.2.1",
            "nh3==0.2.18",
            "notebook_shim==0.2.4",
            "numpy==1.23.5",
            "opt-einsum==3.3.0",
            "ordered-set==4.1.0",
            "overrides==7.7.0",
            "packaging==24.0",
            "palettable==3.3.3",
            "pandas",
            "pandocfilters==1.5.1",
            "parso==0.8.4",
            "pexpect==4.9.0",
            "pillow==10.2.0",
            "pkginfo==1.10.0",
            "platformdirs==4.2.0",
            "plotly==5.20.0",
            "pluggy==1.5.0",
            "prometheus_client==0.20.0",
            "prompt_toolkit==3.0.47",
            "psutil==6.0.0",
            "ptyprocess==0.7.0",
            "pure_eval==0.2.3",
            "pybtex==0.24.0",
            "pycodestyle==2.11.1",
            "pycparser==2.22",
            "pydantic==1.10.14",
            "pyflakes==3.2.0",
            "pyglview==1.3.4",
            "Pygments==2.17.2",
            "pymatgen==2024.9.10",
            "PyOpenGL==3.1.7",
            "PyOpenGL-accelerate==3.1.7",
            "pyparsing==3.1.2",
            "pyro-api==0.1.2",
            "pyro-ppl==1.9.0",
            "pytest==8.1.1",
            "pytest-cov==5.0.0",
            "pytest-parallel==0.1.1",
            "python-dateutil==2.9.0.post0",
            "python-json-logger==2.0.7",
            "pytz==2024.1",
            "PyYAML==6.0.1",
            "pyzmq==26.2.0",
            "rdkit==2023.9.5",
            "readme_renderer==44.0",
            "referencing==0.35.1",
            "requests==2.32.3",
            "requests-cache==1.2.0",
            "requests-toolbelt==1.0.0",
            "rfc3339-validator==0.1.4",
            "rfc3986==2.0.0",
            "rfc3986-validator==0.1.1",
            "rich==13.7.1",
            "rich-click==1.7.4",
            "rpds-py==0.20.0",
            "ruamel.yaml==0.18.6",
            "ruamel.yaml.clib==0.2.8",
            "scikit-learn==1.4.1.post1",
            "scipy==1.14.1",
            "seaborn==0.13.2",
            "selfies==2.1.2",
            "Send2Trash==1.8.3",
            "six==1.16.0",
            "sniffio==1.3.1",
            "soupsieve==2.5",
            "spglib==2.5.0",
            "stack-data==0.6.3",
            "suds-community==1.1.2",
            "sympy==1.12",
            "tabulate==0.9.0",
            "tblib==3.0.0",
            "tenacity==8.2.3",
            "terminado==0.18.1",
            "threadpoolctl==3.4.0",
            "tinycss2==1.3.0",
            "torch==2.1.2",
            "tornado==6.4.1",
            "tqdm==4.66.2",
            "traitlets==5.14.3",
            "twine==5.1.1",
            "typeguard==2.13.3",
            "types-python-dateutil==2.9.0.20240906",
            "typing_extensions==4.5.0",
            "tzdata==2024.1",
            "uncertainties==3.2.2",
            "uri-template==1.3.0",
            "url-normalize==1.4.3",
            "urllib3==2.2.1",
            "wcwidth==0.2.13",
            "webcolors==24.8.0",
            "webencodings==0.5.1",
            "websocket-client==1.8.0",
            "wget==3.2",
            "wrapt==1.16.0",
            "xarray==2024.3.0",
            "xmltodict==0.13.0",
            "zipp==3.20.2",
            "zope.event==5.0",
            "zope.interface==6.2",
        ],
        include_package_data=True,
        package_data={
            "": ["*.pkl"],
            "": ["*.csv"],
            "": ["*.json"],
        },
    )
